/* eslint-disable */
<template>
	<div class="treasure-section">
		<h5 class="treasure-section__subheader">
			{{ subheader }}
		</h5>
		<h6 class="treasure-section__header">
			{{ header }}
		</h6>
		<!--		<div class="container">-->
		<div class="treasure-section__content">
			<div class="treasure-section__games">
				<small-game-block v-for="(game, index) in this.games" v-if="index < 3"
													:title="game.title"
													:image="game.image"
													:played="game.played"
													:key="game.title"
													></small-game-block>
			</div>
			<div class="treasure-section__games">
								<small-game-block v-for="(game, index) in this.games" v-if="index > 2 && index < 6"
													:title="game.title"
													:image="game.image"
													:played="game.played"
													:key="game.title"
													></small-game-block>
			</div>
		</div>
		<!--		</div>-->
	</div>
</template>

<script>
    import SmallGameBlock from "@/components/SmallGameBlock";
    export default {
        name: "TreasureSection",
        components: {SmallGameBlock},
        props: ['header', 'subheader'],
        data: function () {
            return {
                games: [
                    {
                        title: 'It came from...Venus!',
                        image: require('../../assets/img/svg/main/game1.png'),
                        played: '120 played',
                        frame: '#',
                        favorite: false
                    },
                    {
                        title: 'Paco and the Popping Peppers',
                        image: require('../../assets/img/svg/main/game3.png'),
                        played: '128 played',
                        frame: '#',
                        favorite: true
                    },
                    {
                        title: 'Mr. Vegas',
                        image: require('../../assets/img/svg/main/game2.png'),
                        played: '124 played',
                        frame: '#',
                        favorite: false
                    },
                    {
                        title: 'It came from...Venus!',
                        image: require('../../assets/img/svg/main/game1.png'),
                        played: '120 played',
                        frame: '#',
                        favorite: false
                    },
                    {
                        title: 'Paco and the Popping Peppers 2',
                        image: require('../../assets/img/svg/main/game3.png'),
                        played: '128 played',
                        frame: '#',
                        favorite: true
                    },
                    {
                        title: 'Mr. Vegas 2',
                        image: require('../../assets/img/svg/main/game2.png'),
                        played: '124 played',
                        frame: '#',
                        favorite: false
                    },
                ]
            }
        }
    }
</script>

<style lang="sass" scoped>
	.treasure-section
		overflow: hidden
		background-image: url("../../assets/img/main/treasurebg.png")
		background-size: 100%
		background-position: 50% 0
		padding: 8% 8% 16% 8%
		&__games
			width: rem(290)
			height: auto
			overflow: hidden
			&:nth-child(1)
				float: left
			&:nth-child(2)
				float: right
		&__header
			color: $whiteText
			font-family: $mainFont
			font-size: rem(74)
			font-weight: 700
			line-height: rem(81)
			margin-bottom: rem(50)
		&__subheader
			text-align: center
			opacity: 0.6
			color: $whiteText
			font-family: $mainFont
			font-size: rem(11)
			font-weight: 500
			letter-spacing: 1px
			text-transform: uppercase

</style>